#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['dnnv',
 'dnnv.cli',
 'dnnv.logging',
 'dnnv.nn',
 'dnnv.nn.converters',
 'dnnv.nn.converters.tensorflow',
 'dnnv.nn.layers',
 'dnnv.nn.operations',
 'dnnv.nn.parser',
 'dnnv.nn.transformers',
 'dnnv.properties',
 'dnnv.verifiers.bab',
 'dnnv.verifiers.common',
 'dnnv.verifiers.eran',
 'dnnv.verifiers.mipverify',
 'dnnv.verifiers.neurify',
 'dnnv.verifiers.planet',
 'dnnv.verifiers.reluplex']

package_data = \
{'': ['*'], 'dnnv': ['verifiers/*']}

install_requires = \
['numpy==1.18',
 'onnx==1.6',
 'psutil==5.6',
 'scipy==1.3',
 'tensorflow==1.15',
 'keras==2.3']

extras_require = \
{'dev': ['black', 'mypy'],
 'doc': ['sphinx'],
 'test': ['toml==0.10', 'coverage==5.0', 'torch==1.5', 'torchvision==0.6']}

entry_points = \
{'console_scripts': ['dnnv = dnnv.__main__:_main']}

setup(name='dnnv',
      version='0.2.2',
      description='dnnv - deep neural network verification',
      author='David Shriver',
      author_email='dls2fc@virginia.edu',
      url='https://github.com/dlshriver/DNNV',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='==3.7',
     )
